# fary-wechat-safe-verify
> A very small fary/koa2 middleware to provide wachat basic business safe verify.

[![NPM version][npm-image]][npm-url]
[![build status][travis-image]][travis-url]

*Note: this middleware only works directly in Node 7.6+(async/await), or you can use babel to transform the source code.*

## Install
```
npm i fary-wechat-safe-verify
```

## Usage
```js
const createApp = require('fary');
const wechatSafeVerify = require('fary-wechat-safe-verify');

createApp({
  middlewares: [
    wechatSafeVerify()
  ]
})
```
*Or use with koa2 directly.*

Then a request like `/MP_verify_654321.txt`, will get response `654321`.

[npm-image]: https://img.shields.io/npm/v/fary-wechat-safe-verify.svg?style=flat-square
[npm-url]: https://www.npmjs.com/package/fary-wechat-safe-verify
[travis-image]: https://img.shields.io/travis/xkeshi/fary-wechat-safe-verify/master.svg?style=flat-square
[travis-url]: https://travis-ci.org/xkeshi/fary-wechat-safe-verify