import Koa = require('koa');
const REG_WX_VERIFY_PATH = /^\/MP_verify_(.*)\.txt$/i;

// 用于微信检业务安全域名，防止点击文本框出现安全提示
// 比如 http://xxx.yyy.net/MP_verify_123456.txt，返回123456即可
export = () => {
  return async (ctx: Koa.Context, next: () => Promise<any>) => {
    const match = ctx.path.match(REG_WX_VERIFY_PATH);
    if (!match) {
      return next();
    }
    ctx.body = match[1];
  };
};
